import { ChangeDetectionStrategy, Component, EventEmitter, Output } from '@angular/core';
import { CommonModule } from '@angular/common';

@Component({
  selector: 'app-game-controls',
  standalone: true,
  imports: [CommonModule],
  template: `
    <div class="flex justify-center gap-4">
      <button
        (click)="onHit.emit()"
        class="button-primary px-8 py-4 text-lg font-medium min-w-[120px]"
      >
        Ziehen
      </button>
      <button
        (click)="onStand.emit()"
        class="button-primary px-8 py-4 text-lg font-medium min-w-[120px]"
      >
        Halten
      </button>
      <button
        (click)="onLeave.emit()"
        class="bg-accent-red hover:bg-accent-red/80 px-8 py-4 rounded text-lg font-medium min-w-[120px] transition-all duration-300"
      >
        Abbrechen
      </button>
    </div>
  `,
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class GameControlsComponent {
  @Output() onHit = new EventEmitter<void>();
  @Output() onStand = new EventEmitter<void>();
  @Output() onLeave = new EventEmitter<void>();
}
